diff -r -c compiler/sparcgen/strinst.inc compiler_edited/sparcgen/strinst.inc
*** compiler/sparcgen/strinst.inc	2023-02-08 15:40:01.000000000 +0300
--- compiler_edited/sparcgen/strinst.inc	2023-02-09 05:56:27.390788475 +0300
***************
*** 1,82 ****
  {******************************************************************************
   *****************************************************************************}
!           'none',
!           'abcd',
!           'add','addcc','addx','addxcc',
!           'and','andcc','andn','andncc',
!           'jmp',
!           'jmpl',
!           'call',
!           'ba','b','fba','fb',
!           'cbccc',
!           'flush',
!           'ldsb','ldsh','ldstub',
!           'ldub','lduh','ld','ldd','ld','ldfsr','ldd','ldc','ldcsr','lddc','ldx','lduw','ldsw',
!           'ldsba','ldsha','lduba','lduha','lda','ldda',
!           'ldstuba',
!           'mulscc',
!           'mulx',
!           'nop',
!           'or','orcc','orn','orncc',
!           'rd','rd','rd','rd','rd',
!           'restore',
!           'ret','retl',
!           'save',
!           'sdiv','sdivcc','sdivx',
!           'smul','smulcc',
!           'sethi',
!           'sll','srl','sra','sllx','srlx','srax',
!           'stb','sth','st','std','st','std','stfsr','stdfq','stx',
!           'stc','stdc','stcsr','stdcq',
!           'stba','stha','sta','stda',
!           'sub','subcc','subx','subxcc',
!           'swap','swapa','ticc','taddcc','tsubcc','taddcctv','tsubcctv',
!           'ta','t',
!           'udiv','udivcc','udivx',
!           'umul','umulcc',
!           'unimp',
!           'wrasr','wry','wrpsr','wrwim','wrtbr',
!           'xnor','xnorcc',
!           'xor','xorcc',
!           {floating-point instructions}
!           'fitos','fitod','fitoq',
!           'fstoi','fdtoi','fqtoi',
!           'fstod','fstoq',
!           'fdtos','fdtoq',
!           'fqtod','fqtos',
!           'fmovs','fnegs','fabss',
!           'fsqrts','fsqrtd','fsqrtq',
!           'fadds','faddd','faddq',
!           'fsubs','fsubd','fsubq',
!           'fmuls','fmuld','fmulq',
!           'fdmulq','fsmuld',
!           'fdivs','fdivd','fdivq',
!           'fcmps','fcmpd','fcmpq',
!           'fcpop1','cpop2',
!           {synthetic instructions}
!           'btst','bset','bclr','btog',
!           'clr','clrb','clrh',
!           'cmp',
!           'dec','deccc',
!           'inc','inccc',
!           'mov','mov','movrz','movrlez','movrlz','movrnz','movrgz','movrgez',
!           'neg',
!           'not',
!           'set',
!           'skipz','skipnz',
!           'tst',
!           { internal instructions }
!           'fmovd',
!           'fabsd','fabsq',
!           'fnegd','fnegq',
!           { memory barrier instructions }
!           'stbar',
!           'membar',
  
!           { SPARC v9 }
!           'flushw',
!           'cas',
!           'casa',
!           'casx',
!           'casxa'
  
--- 1,82 ----
  {******************************************************************************
   *****************************************************************************}
!           'NONE',
!           'ABCD',
!           'ADD','ADDCC','ADDX','ADDXCC',
!           'AND','ANDCC','ANDN','ANDNCC',
!           'JMP',
!           'JMPL',
!           'CALL',
!           'BA','B','FBA','FB',
!           'CBCCC',
!           'FLUSH',
!           'LDSB','LDSH','LDSTUB',
!           'LDUB','LDUH','LD','LDD','LD','LDFSR','LDD','LDC','LDCSR','LDDC','LDX','LDUW','LDSW',
!           'LDSBA','LDSHA','LDUBA','LDUHA','LDA','LDDA',
!           'LDSTUBA',
!           'MULSCC',
!           'MULX',
!           'NOP',
!           'OR','ORCC','ORN','ORNCC',
!           'RD','RD','RD','RD','RD',
!           'RESTORE',
!           'RET','RETL',
!           'SAVE',
!           'SDIV','SDIVCC','SDIVX',
!           'SMUL','SMULCC',
!           'SETHI',
!           'SLL','SRL','SRA','SLLX','SRLX','SRAX',
!           'STB','STH','ST','STD','ST','STD','STFSR','STDFQ','STX',
!           'STC','STDC','STCSR','STDCQ',
!           'STBA','STHA','STA','STDA',
!           'SUB','SUBCC','SUBX','SUBXCC',
!           'SWAP','SWAPA','TICC','TADDCC','TSUBCC','TADDCCTV','TSUBCCTV',
!           'TA','T',
!           'UDIV','UDIVCC','UDIVX',
!           'UMUL','UMULCC',
!           'UNIMP',
!           'WRASR','WRY','WRPSR','WRWIM','WRTBR',
!           'XNOR','XNORCC',
!           'XOR','XORCC',
!           {FLOATING-POINT INSTRUCTIONS}
!           'FITOS','FITOD','FITOQ',
!           'FSTOI','FDTOI','FQTOI',
!           'FSTOD','FSTOQ',
!           'FDTOS','FDTOQ',
!           'FQTOD','FQTOS',
!           'FMOVS','FNEGS','FABSS',
!           'FSQRTS','FSQRTD','FSQRTQ',
!           'FADDS','FADDD','FADDQ',
!           'FSUBS','FSUBD','FSUBQ',
!           'FMULS','FMULD','FMULQ',
!           'FDMULQ','FSMULD',
!           'FDIVS','FDIVD','FDIVQ',
!           'FCMPS','FCMPD','FCMPQ',
!           'FCPOP1','CPOP2',
!           {SYNTHETIC INSTRUCTIONS}
!           'BTST','BSET','BCLR','BTOG',
!           'CLR','CLRB','CLRH',
!           'CMP',
!           'DEC','DECCC',
!           'INC','INCCC',
!           'MOV','MOV','MOVRZ','MOVRLEZ','MOVRLZ','MOVRNZ','MOVRGZ','MOVRGEZ',
!           'NEG',
!           'NOT',
!           'SET',
!           'SKIPZ','SKIPNZ',
!           'TST',
!           { INTERNAL INSTRUCTIONS }
!           'FMOVD',
!           'FABSD','FABSQ',
!           'FNEGD','FNEGQ',
!           { MEMORY BARRIER INSTRUCTIONS }
!           'STBAR',
!           'MEMBAR',
  
!           { SPARC V9 }
!           'FLUSHW',
!           'CAS',
!           'CASA',
!           'CASX',
!           'CASXA'
  
diff -r -c compiler/x86/rax86int.pas compiler_edited/x86/rax86int.pas
*** compiler/x86/rax86int.pas	2023-02-08 15:40:01.000000000 +0300
--- compiler_edited/x86/rax86int.pas	2023-02-09 06:00:44.085867790 +0300
***************
*** 182,188 ****
          inherited create;
          iasmops:=TFPHashList.create;
          for i:=firstop to lastop do
!           iasmops.Add(upper(std_op2str[i]),Pointer(PtrInt(i)));
  
          actoperextention := '';
        end;
--- 182,188 ----
          inherited create;
          iasmops:=TFPHashList.create;
          for i:=firstop to lastop do
!           iasmops.Add(std_op2str[i],Pointer(PtrInt(i)));
  
          actoperextention := '';
        end;
diff -r -c compiler/x86_64/cpubase.inc compiler_edited/x86_64/cpubase.inc
*** compiler/x86_64/cpubase.inc	2023-02-08 15:40:01.000000000 +0300
--- compiler_edited/x86_64/cpubase.inc	2023-02-08 16:24:40.252308057 +0300
***************
*** 53,73 ****
    std_op2str:op2strtable={$i x8664int.inc}
  
  {*****************************************************************************
-                                GDB Information
- *****************************************************************************}
- 
-       {# Register indexes for stabs information, when some
-          parameters or variables are stored in registers.
- 
-          Taken from i386.c (dbx_register_map) and i386.h
-           (FIXED_REGISTERS) from GCC 3.x source code
- 
-       }
-       stab_regindex : array[tregisterindex] of shortint = (
-         {$i r8664stab.inc}
-       );
- 
- {*****************************************************************************
                            Default generic sizes
  *****************************************************************************}
  
--- 53,58 ----
